为程序猿打造的最专业的问答平台
我要提问

新建maven项目遇到这个错误Cannot detect Web Project version. Please specify version of Web Project through Maven

浏览3118 | wanystony 发布于 5年前 | | 举报
报这个错Cannot detect Web Project version. Please specify version of Web Project through configuration 
 property of war plugin. E.g.: maven-war-plugin 3.0  version>


20151101214147_468.png
1个回答
0
程序员1999发表于5年前 程序员1999

你这个应该是没有指定maven war编译插件的错误,你在pom.xml中加入这个试试

<build>
    <plugins>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>1.7</source>
          <target>1.7</target>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-war-plugin</artifactId>
        <version>2.4</version>
        <configuration>
          <version>3.0</version>
        </configuration>
      </plugin>
    </plugins>
    <finalName>webserver</finalName>
  </build>


我来回答
您当前输入了 0 个文字

擅长用户

程序员1999 孙晋硕
TOP
登录
登录
记住我
忘记密码?
密码错误
登陆
没有账号?点此注册
举报
胡乱举报将扣除一定问答币或以其他方式进行处罚
辱骂 广告 重复 其他
举报